changeset 9010:c2d55b298ec8 HEAD

Added example init.d/dovecot script.
author Timo Sirainen <tss@iki.fi>
date Fri, 01 May 2009 17:15:31 -0400
parents 4fd7b98bcff9
children da37aa38ca89
files doc/Makefile.am doc/dovecot-initd.sh
diffstat 2 files changed, 60 insertions(+), 0 deletions(-) [+]
line wrap: on
line diff
--- a/doc/Makefile.am	Fri May 01 17:07:38 2009 -0400
+++ b/doc/Makefile.am	Fri May 01 17:15:31 2009 -0400
@@ -13,6 +13,7 @@
 	securecoding.txt
 
 EXTRA_DIST = \
+	dovecot-initd.sh \
 	mkcert.sh \
 	dovecot-openssl.cnf \
 	solr-schema.xml \
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/doc/dovecot-initd.sh	Fri May 01 17:15:31 2009 -0400
@@ -0,0 +1,59 @@
+#!/bin/sh
+
+# Example /etc/init.d/dovecot script. Change DAEMON if necessary.
+# License is public domain.
+
+DAEMON=/usr/local/sbin/dovecot
+
+test -x $DAEMON || exit 1
+set -e
+
+base_dir=`$DAEMON -a|grep '^base_dir: '|sed 's/^base_dir: //'`
+pidfile=$base_dir/master.pid
+
+if test -f $pidfile; then
+  running=yes
+else
+  running=no
+fi
+
+case "$1" in
+  start)
+    echo -n "Starting Dovecot"
+    $DAEMON
+    echo "."
+    ;;
+  stop)
+    if test $running = yes; then
+      echo "Stopping Dovecot"
+      kill `cat $pidfile`
+      echo "."
+    else
+      echo "Dovecot is already stopped."
+    fi
+    ;;
+  reload)
+    if test $running = yes; then
+      echo -n "Reloading Dovecot configuration"
+      kill -HUP `cat $pidfile`
+      echo "."
+    else
+      echo "Dovecot isn't running."
+    fi
+    ;;
+  restart|force-reload)
+    echo -n "Restarting Dovecot"
+    if test $running = yes; then
+      kill `cat $pidfile`
+      sleep 1
+    fi
+    $DAEMON
+    echo "."
+    ;;
+  *)
+    echo "Usage: /etc/init.d/dovecot {start|stop|reload|restart|force-reload}" >&2
+    exit 1
+    ;;
+esac
+
+exit 0